% [nx, np] = seisBSC(f)
%   get ISI noise source spectra
%
% nx - ISI translational DOFs
% np - ISI rotational DOFs

function [nx, np] = seisBSC(f)

  % translational DOFs (from Rana's bsc_seismic.m)
  SEI_F = [0.01 0.03 0.1 0.2 0.5 1 2 4 ...
    7 15 30 60 100 1e6];
  SEI_X = [3e-6 1e-6 2e-7 2e-7 1e-9 1.5e-11 3e-12 4e-12 ...
    5e-13 2e-13 2e-13 1e-13 1e-14 1e-14];
  nx = exp(interp1(log(SEI_F),log(SEI_X),log(f),'cubic',-14));
  
  % rotational DOFs
  SEI_F = [0.01 0.03 0.1 0.2 0.5 1 10 30 100 1e6];
  SEI_P = [1e-8 3e-8 2e-8 1e-8 4e-10 1e-11 3e-13 1e-13 1e-14 1e-14];
  np = exp(interp1(log(SEI_F),log(SEI_P),log(f),'cubic',-14));
  
end
